package com.dianmi.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 项目表
 * </p>
 *
 * @author Chai
 * @since 2021-03-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CustProject extends Model<CustProject> {

    private static final long serialVersionUID=1L;

    /**
     * ID
     */
      private String id;

    /**
     * 客户ID
     */
    private Long customerId;

    /**
     * 父项目ID
     */
    private Long parentId;

    /**
     * 签约工单ID
     */
    private Long woId;

    /**
     * 项目负责人账号（父项目才有）
     */
    private String managerAccount;

    /**
     * 项目负责人名称（父项目才有）
     */
    private String managerName;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 产品类型编码
     */
    private String businessTypeCode;

    /**
     * 产品类型名称
     */
    private String businessTypeName;

    /**
     * 签约公司ID
     */
    private Integer signCompanyId;

    /**
     * 签约公司
     */
    private String signCompanyName;

    /**
     * 是否排他
     */
    private String isExclusive;

    /**
     * 是否排他说明
     */
    private String exclusiveDescription;

    /**
     * NC编码
     */
    private String ncCode;

    /**
     * 子项目接口人
     */
    private String interfaceMan;

    /**
     * 子项目接口人属地
     */
    private String interfaceManTerritory;

    private String interfaceManCity;

    private String interfaceManProvince;

    /**
     * 子项目接口人联系电话
     */
    private String interfaceManPhone;

    /**
     * 子项目接口人邮箱
     */
    private String interfaceManEmail;

    /**
     * 其他备注
     */
    private String remark;

    /**
     * 是否需要招聘
     */
    private String ifNeedRecruitment;

    /**
     * 招聘方
     */
    private String recruiter;

    /**
     * 服务状态
     */
    private Boolean serviceStatus;

    /**
     * e家银工资自动到卡
     */
    private Boolean ejyWageAutoCard;

    /**
     * 数据来源
     */
    private String dataSource;

    /**
     * 服务方式
     */
    private String serviceMode;

    /**
     * 服务地点-省份
     */
    private String serviceProvince;

    /**
     * 服务地点-城市
     */
    private String serviceCity;

    /**
     * 大区code
     */
    private String areaCode;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 销售过程ID
     */
    private String custSaleProcessId;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
